% COMBI.M   Combined family and SiZer plot
%
% Display a figure of two subplots:
% smoother family on the top, SiZer map at the bottom.
%
% Parameters:
%    x        x-coordinates of the data
%    y        y-coordinates of the data
%    opt      optional: string of options (case-insensitive)
%    alpha    optional: significance level (default=0.05)
%    varhat   optional: estimate(s) of data variance
%    fsp      optional: family smoothing parameters
%
% For more details, see HELP FAMILY and HELP SIZER.

function combi(x,y,varargin)

msg = nargchk(2,inf,nargin);
if not(isempty(msg)),
   error(msg);
end

figure

subplot(2,1,1)
family(x,y,varargin{:});

subplot(2,1,2);
sizer(x,y,varargin{:});

