% automatic selection of family smoothing parameters
function fsp=fspselect(x,smoother)

if nargin<2,
   smoother=1;	% spline
end

L = max(x)-min(x);		% width of design
f = 1/L;						% average density
n = length(x);				% number of design points

% automatic selection of smoothing parameters
hlist = L * 10.^[0:-0.5:-2];
if smoother == 1,
   lambdalist = hlist.^4 * n * f;	% this will have the specified h
   fsp = lambdalist;
else
   hlist = hlist*1.25;		% approx. same width as spline
   fsp = hlist;
end
