% gauss.m -- density function for nonstandard Gaussian distribution N(mu, sigma^2)
%
% mu defaults to 0, and sigma defaults to 1.
%
% Second output parameter (if any) will be the derivative of the density function.

function [f,u] = gauss(x, mu, sigma)
if nargin == 1
   mu = 0;
end
if nargin <= 2
   sigma = 1;
end

f = exp(-(x-mu).^2 / (2 * sigma^2)) / (sigma * sqrt(2*pi));

if nargout>=2,
   u = f .* (-(x-mu)/sigma.^2);
end

